Subject: [Detnet-dp-dt] dp-alt -02 update - second try

From: Jouni Korhonen <[email-masked]>
Date: Wed, 3 Aug 2016 12:31:08 -0700

Folks,

This version goes further aligning with arch-07. The changes are "much
more" and also affected the criteria, since I tried to follow arch's Figure
3 protocol stack as well.

Both txt and diff attached. Provide comments as I probably messed up stuff
;)

- Jouni

-- 
Jouni Korhonen, Broadcom Ltd.

---

From: Lou Berger <[email-masked]>
Date: Thu, 4 Aug 2016 10:29:28 -0400

Jouni,

    This looks good.  It would be good to capture RTP+PWs covered in
RFC3985 Section 5.4.1 and 5.4.2, plus perhaps a reference on rfc4553.  I
thought I said something on this before, but perhaps was too subtle
about it.  I can provide text if you'd like. (Is the latest XML pushed?)

Lou

On 8/3/2016 3:31 PM, Jouni Korhonen wrote:
> more" and also affected the criteria, since I tried to follow arch's
> Figure 3 protocol stack as well.
>
> Both txt and diff attached. Provide comments as I probably messed up
> stuff ;)
>
> - Jouni
>
> -- 
> _______________________________________________
> Detnet-dp-dt mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/detnet-dp-dt

---

From: Jouni Korhonen <[email-masked]>
Date: Thu, 4 Aug 2016 08:08:25 -0700

This version is still on a different "development" branch, not
master: servtrans-02

Yes, we did discuss about RTP+PWs & SAToP. I just forgot about them. I'll
add required references and a bit of text.

- Jouni

---

From: Jouni Korhonen <[email-masked]>
Date: Thu, 4 Aug 2016 08:15:12 -0700

Actaully.. I had a feeling this was not completely forgotten. The original
PW text I wrote has a statement:
     sequencing and duplicate detection.  The encapsulation layer may also
     provide timing  <xref target="RFC5087"/>.  Furthermore, advances DetNet

Instead of SAToP I referenced to TDMoIP, which uses similar (the same?) RTP
header as in RFC4553. I'll just enhance this point.

- Jouni

---

From: Lou Berger <[email-masked]>
Date: Thu, 4 Aug 2016 11:23:49 -0400

On 8/4/2016 11:15 AM, Jouni Korhonen wrote:
> Actaully.. I had a feeling this was not completely forgotten. The
> original PW text I wrote has a statement:
> Instead of SAToP I referenced to TDMoIP, which uses similar (the
> same?) RTP header as in RFC4553. I'll just enhance this point.

Okay.  I actually didn't look at the repo, just the attached diffs and
didn't see any related changes.  I was actually thinking of the text
being added to the RTP section 5.2.5.2.1 and so that's where I looked
for the reference.  Perhaps it would be good to have pointers in both
places? (could even steal figure 10 of rfc2985 for the PW section and
Figure 11 for the RTP section...)

Lou

>
> - Jouni
>
> On Thu, Aug 4, 2016 at 8:08 AM, Jouni Korhonen
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Yes, we did discuss about RTP+PWs & SAToP. I just forgot about
>     them. I'll add required references and a bit of text.
>
>     - Jouni
>
>     On Thu, Aug 4, 2016 at 7:29 AM, Lou Berger <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>         Jouni,
>
>         > [email-masked] <mailto:[email-masked]>
>         <https://www.ietf.org/mailman/listinfo/detnet-dp-dt>
>
>
>
>
>
>     --

---

From: Jouni Korhonen <[email-masked]>
Date: Thu, 4 Aug 2016 08:26:48 -0700

Ok. I'll add that also to RTP section. I'll push changes soon.

- Jouni

---

From: Jouni Korhonen <[email-masked]>
Date: Thu, 4 Aug 2016 09:15:12 -0700

Pushed all changes and also merged by development branch into the master.

- Jouni

---

From: Lou Berger <[email-masked]>
Date: Thu, 4 Aug 2016 12:55:08 -0400

looks good to me.

On 8/4/2016 12:15 PM, Jouni Korhonen wrote:
> On Thu, Aug 4, 2016 at 8:26 AM, Jouni Korhonen
>     On Thu, Aug 4, 2016 at 8:23 AM, Lou Berger <[email-masked]
>         >      provide timing  <xref target="RFC5087"/>.  Furthermore,
>         advances
>         > DetNet
>         >
>         > <[email-masked]
>         <mailto:[email-masked]>
>         <mailto:[email-masked]
>         <mailto:[email-masked]>>> wrote:
>         >
>         >     On Thu, Aug 4, 2016 at 7:29 AM, Lou Berger
>         <[email-masked] <mailto:[email-masked]>
>         >     <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>         >
>         >         Jouni,
>         >
>         >             This looks good.  It would be good to capture
>         RTP+PWs
>         >         covered in
>         >         RFC3985 Section 5.4.1 and 5.4.2, plus perhaps a
>         reference on
>         >         rfc4553.  I
>         >         thought I said something on this before, but perhaps
>         was too
>         >         subtle
>         >         about it.  I can provide text if you'd like. (Is the
>         latest
>         >         XML pushed?)
>         >
>         >         Lou
>         >
>         >         > This version goes further aligning with arch-07.
>         The changes
>         >         are "much
>         >         > Both txt and diff attached. Provide comments as I
>         probably
>         >         messed up
>         >         > stuff ;)
>         >         >
>         >         > - Jouni
>         >         >
>         >         > --
>         <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>
>         >         <https://www.ietf.org/mailman/listinfo/detnet-dp-dt
>         <https://www.ietf.org/mailman/listinfo/detnet-dp-dt>>
>         >
>         >
>         >
>         >
>         >
>         >     --

---

From: Jouni Korhonen <[email-masked]>
Date: Thu, 4 Aug 2016 09:56:54 -0700

Shall I submit?

On Thu, Aug 4, 2016 at 9:55 AM, Lou Berger <[email-masked]> wrote:

> >         >         > more" and also affected the criteria, since I tried
> to
> >         >         follow arch's

---

From: Lou Berger <[email-masked]>
Date: Thu, 4 Aug 2016 13:09:35 -0400

works for me...

On 8/4/2016 12:56 PM, Jouni Korhonen wrote:
> Shall I submit?
>
> On Thu, Aug 4, 2016 at 9:55 AM, Lou Berger <[email-masked]
>     > <[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked]>
>     >         >      sequencing and duplicate detection.  The
>     encapsulation
>     >         layer may also
>     >         being added to the RTP section 5.2.5.2.1 and so that's
>     where I
>     >         looked
>     >         for the reference.  Perhaps it would be good to have
>     pointers
>     >         in both
>     <mailto:[email-masked]>>
>     <mailto:[email-masked]>>>> wrote:
>     >         >
>     >         >     Yes, we did discuss about RTP+PWs & SAToP. I just
>     forgot
>     >         about
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     >         >     <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>> wrote:
>     >         >
>     >         >         Jouni,
>     >         >
>     >         >         > more" and also affected the criteria, since
>     I tried to
>     >         >         follow arch's
>     <mailto:[email-masked]>> <mailto:[email-masked]
>     <mailto:[email-masked]>
>     >         <mailto:[email-masked] <mailto:[email-masked]>>>
>     >         >         >
>     <https://www.ietf.org/mailman/listinfo/detnet-dp-dt>>>
>     >         >
>     >         >
>     >         >
>     >         >
>     >         >
>     >         >     --

---

From: Lou Berger <[email-masked]>
Date: Thu, 4 Aug 2016 13:10:05 -0400

... assuming ready for WG adoption...

On 8/4/2016 1:09 PM, Lou Berger wrote:
>>     >         <mailto:[email-masked]